Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Interface MenuDragMouseListener

All Superinterfaces:
  EventListener

public interface MenuDragMouseListener
extends EventListener

Defines a menu mouse-drag listener.

Method Summary
`void` | `menuDragMouseDragged(MenuDragMouseEvent e)` Invoked when the mouse is being dragged in a menu component's display area.
`void` | `menuDragMouseEntered(MenuDragMouseEvent e)` Invoked when the dragged mouse has entered a menu component's display area.
`void` | `menuDragMouseExited(MenuDragMouseEvent e)` Invoked when the dragged mouse has left a menu component's display area.
`void` | `menuDragMouseReleased(MenuDragMouseEvent e)` Invoked when a dragged mouse is release in a menu component's display area.

Method Detail

### menuDragMouseEntered

    public void menuDragMouseEntered(MenuDragMouseEvent e)

  Invoked when the dragged mouse has entered a menu component's display area.
  Parameters:
    `e` - a MenuDragMouseEvent object

### menuDragMouseExited

    public void menuDragMouseExited(MenuDragMouseEvent e)

  Invoked when the dragged mouse has left a menu component's display area.
  Parameters:
    `e` - a MenuDragMouseEvent object

### menuDragMouseDragged

    public void menuDragMouseDragged(MenuDragMouseEvent e)

  Invoked when the mouse is being dragged in a menu component's display area.
  Parameters:
    `e` - a MenuDragMouseEvent object

### menuDragMouseReleased

    public void menuDragMouseReleased(MenuDragMouseEvent e)

  Invoked when a dragged mouse is release in a menu component's display area.
  Parameters:
    `e` - a MenuDragMouseEvent object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.